Bug 200125 - x86 guest creation fails
x86 guest creation fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks: 200124
  Show dependency treegraph
 
Reported: 2006-07-25 12:29 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 01:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-07-25 12:29:51 EDT
Creation of guests (both PV and FV) fails with all 2.6.18-rcX based Xen kernels
(2.6.17-1.2439.fc6xen is the one currently on my test box)

The guest creation gives an "Error creating guest OS".  Looking in xm dmesg, the
reason is related to
  (XEN) DOM0: (file=mm.c, line=822) PAE L3 3rd slot is empty
  (XEN) DOM0: (file=mm.c, line=1053) Failure in alloc_l3_table: entry 4
  (XEN) DOM0: (file=mm.c, line=1732) Error while validating mfn e1d4 (pfn 2b5bf)
for type 60000000: caf=80000002 taf=60000001
  (XEN) DOM0: (file=mm.c, line=2004) Error while pinning mfn e1d4
Comment 1 Jeremy Katz 2006-07-25 14:05:24 EDT
Building a HV from unstable with pae=y debug=n verbose=n doesn't help this
(although there isn't helpful spew about the problem anymore and I had to hack
up libxenguest to figure out why the guest creation was failing)
Comment 2 Mark McLoughlin 2006-07-27 06:15:19 EDT
See #200004 - the patch there could well fix this too, there's nothing arch
specific about the problem causing #200004
Comment 3 Jeremy Katz 2006-07-27 15:48:54 EDT
This is better with 2462

Note You need to log in before you can comment on or make changes to this bug.